"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Controller(baseRoute) {
    return (target) => {
        const original = target.prototype;
        original.routes = Object.getOwnPropertyNames(original)
            .filter((property) => property.indexOf('$$route__'))
            .map((property) => {
            const { method, path } = original[property];
            const mountpath = `${baseRoute}`;
            const fnName = property.substring('$$route__'.length);
            const route = { method, mountpath, path, fnName };
            ;
            return route;
        });
    };
}
exports.Controller = Controller;
//# sourceMappingURL=Controller.js.map