"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const Exception_1 = require("../infra/exceptions/Exception");
function Http(method, path) {
    if (typeof method !== 'string')
        throw new Exception_1.Exception('Argument method must an HTTP Verb');
    return (target, propertyKey, descriptor) => {
        target[`$$route__${propertyKey}`] = { method, path };
    };
}
exports.Get = Http.bind(null, 'get');
exports.Post = Http.bind(null, 'post');
exports.Put = Http.bind(null, 'put');
exports.Delete = Http.bind(null, 'delete');
//# sourceMappingURL=Route.js.map